Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1367568 - investigate signing hashes instead of full rpms
Summary: investigate signing hashes instead of full rpms
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: sigul
Version: 27
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Patrick Uiterwijk
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-16 19:40 UTC by Kevin Fenzi
Modified: 2018-11-30 17:43 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-30 17:43:45 UTC


Attachments (Terms of Use)

Description Kevin Fenzi 2016-08-16 19:40:44 UTC
currently when sigul signs a package it gets a copy of the rpm from koji, copies it to the bridge, then copies it to the vault and back... for large rpms thats a lot of copying around. 

See if there's some way to sign just the hash of the rpm. 

obs-sign does this apparently: 

https://github.com/openSUSE/obs-sign

Comment 1 Miloslav Trmač 2016-08-16 19:43:16 UTC
Probably possible. The cost is that the vault then can not reliably say anything about the NEVRA of the signed RPM and you need the bridge logs for that. If an attacker compromises the bridge and gets something signed, you might be able to figure out that they have signed something but unless they keep a copy of the RPM around, there will be no way to know anything about that package (not even a name).

Comment 2 Kevin Fenzi 2016-08-16 20:55:43 UTC
Yeah, that would be a slight reduction in security indeed. 

We could log a hash, but that won't likely help us much in the case you mention. 
Anyhow, just something to investigate and see if it is worth it.

Comment 3 Patrick Uiterwijk 2016-09-30 17:35:16 UTC
So, even if we do still copy the RPM to the server, we can get rid of the copy from the server to the bridge in the koji-only case by doing the sighdr ripping on the server side.

The bridge does not do anything with the file other than ripping out the sighdr and forwarding that to koji, so that should not do anything from a security standpoint, but save at least 50% of the file transfers.

Comment 4 Miloslav Trmač 2016-10-03 13:20:26 UTC
Makes sense.  (The cost is the “extra” risk of the parsing etc. for ripping the header, but considering all the parsing etc. that has been done to create the signature in the first place, that’s probably very close zero additional risk.)

Comment 5 Fedora End Of Life 2017-02-28 10:07:31 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 6 Patrick Uiterwijk 2017-06-19 06:11:05 UTC
I am planning to fix this together with the protocol version bump for bug #1462565.

Comment 7 Jan Kurik 2017-08-15 07:39:34 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 27 development cycle.
Changing version to '27'.

Comment 8 Ben Cotton 2018-11-27 18:35:31 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 9 Ben Cotton 2018-11-30 17:43:45 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.